package com.eactive.eai.rms.onl.loader.service;

public interface TransactionDeployJsonService{

	/**
	 * layout loading
	 */
	public void insertLayoutLoading(String path, String fileName) throws Exception;
	/**
	 * transform loading
	 */
	public void insertTransformLoading(String path, String fileName) throws Exception;
	/**
	 * interface loading
	 */
	public void insertInterfaceLoading(String path, String fileName) throws Exception;

	
	/**
	 * interface downloading
	 */
	public String getInterface(String serviceName) throws Exception;
    /**
     * layout downloading
     */
    public String getLayout(String layoutName) throws Exception ;
    /**
     * transform downloading
     */
    public String getTransform(String transformName) throws Exception ;
  
	/**
	 * interface downloading
	 */
	public void interfaceDownLoading(String path, String serviceName) throws Exception;
	/**
	 * layout downloading
	 */
    public void layoutDownLoading(String path,String layoutName) throws Exception ;
	/**
	 * transform downloading
	 */
    public void transformDownLoading(String path,String transformName) throws Exception ;
}
